# get

@Incubating
inline fun <T : Any> CustomAdditionalData.get(viewType: KClass<T>): T
@Incubating
inline fun <T : Any> CustomAdditionalData.get(viewType: KClass<T>): T

Kotlin extension function taking kotlin.reflect.KClass for org.gradle.tooling.events.problems.CustomAdditionalData.get.

#### Since

8.13

#### See also

CustomAdditionalData.get

inline fun <S : Any, T : SoftwareComponent> BinaryCollection<T>.get(type: KClass<S>, spec: Spec<in S>): BinaryProvider<S>
inline fun <S : Any, T : SoftwareComponent> BinaryCollection<T>.get(type: KClass<S>, spec: Spec<in S>): BinaryProvider<S>

Kotlin extension function taking kotlin.reflect.KClass for org.gradle.language.BinaryCollection.get.

#### Since

4.5

#### See also

BinaryCollection.get

operator fun ExtensionContainer.get(name: String): Any

Looks for the extension of a given name. If none found it will throw an exception.

#### Return

extension

#### Parameters

name

extension name

#### See also

ExtensionContainer.getByName

#### Throws

UnknownDomainObjectException

When the given extension is not found.

operator fun <T : Any> NamedDomainObjectCollection<T>.get(name: String): T

Locates an object by name, failing if there is no such object.

#### Return

The object with the given name.

#### Parameters

name

The object name

#### See also

NamedDomainObjectCollection.getByName

#### Throws

UnknownDomainObjectException

when there is no such object in this collection.